Users' Manual
Version 1.9 — Rev. 3

# Script Handler

LiteSpeed Web Server supports all scripting languages including Perl, PHP, Ruby, Python, Java, etc. Scripts written in these different languages must be brought to the appropriate external application to be processed. LiteSpeed Web Server uses script handlers to decide which external application a script should go to. These script handlers map files to external applications by using the file suffix. (Actually, the suffix is used to determine a MIME type which is then mapped to the external application.) External applications must be set up in the External Application tab before they can be selected for use in a script handler.
You can set up script handlers at the server or virtual host level. Server-level script handlers apply to all virtual hosts unless overridden at the virtual host level. Virtual host-level script handlers only apply within that virtual host.

### Suffixes

#### Description

Specifies the script file suffixes that will be handled by this script handler. Suffixes must be unique.

#### Syntax

Comma delimited list with period "." character prohibited.

#### Tips

Information The server will automatically add a special MIME type ("application/x-httpd-[suffix]") for the first suffix in the list. For example, MIME type "application/x-httpd-php53" will be added for suffix "php53". Suffixes after the first need to be set up in the MIME Settings settings.
Though we list suffixes in this field, the script handlers use MIME types, not suffixes, to decide which scripts to handle.
Performance Security Only specify the suffixes you really need.

### Handler Type

#### Description

Specifies the type of external application that processes these script files. Available types are: LSAPI app, Web Server (Proxy), Fast CGI, SCGI, CGI, Load balancer, Servlet Engine, uWSGI, or Module Handler. Except for CGI and Module Handler handler types, Handler Name must also be set to a previously defined external application in the External Apps section.

#### Syntax

Select from drop down list

### Handler Name

#### Description

Specifies the name of the external application that processes the script files when the handler type is LSAPI app, Web Server (Proxy), Fast CGI, SCGI, Load balancer, Servlet Engine, or uWSGI.

#### Syntax

Select from drop down list